---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 677f1bd6-e11f-5d8e-acc6-3d5752adecee
      tier: AATSR_CMP_MONTH
      value: 0.11272501200437546
    brdf:
      alpha_1:
        band_1: 0.6069373998949162
        band_11: 0.23870566856506276
        band_12: 0.07295075948080745
        band_2: 0.6069373998949162
        band_3: 0.6263258088604778
        band_4: 0.3139867519740295
        band_5: 0.3139867519740295
        band_6: 0.3139867519740295
        band_7: 0.4532279775104977
        band_8: 0.4532279775104977
        band_8a: 0.4532279775104977
      alpha_2:
        band_1: 0.08701355530616782
        band_11: 0.13697605967548376
        band_12: 0.16898280271509558
        band_2: 0.08701355530616782
        band_3: 0.10202590499646481
        band_4: 0.13977565750610949
        band_5: 0.13977565750610949
        band_6: 0.13977565750610949
        band_7: 0.10051934365763207
        band_8: 0.10051934365763207
        band_8a: 0.10051934365763207
      id:
      - 35c63517-8937-5a6c-ab8b-a2fb80f0290f
      - a7245c3f-7e80-517c-9be2-a140e3b246fc
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 6893a108-f757-5d01-b233-fe0196d7e88b
      tier: DEFINITIVE
      value: 0.283
    water_vapour:
      id:
      - 91072a20-e440-520f-a750-94d8cfc6dd68
      tier: DEFINITIVE
      value: 2.260000038146973
  id: bd99d5a6-1dc2-4caa-8b7c-802159a88d14
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1974.52691312919
      BAND-11: 240.37906900680832
      BAND-12: 82.21390333419419
      BAND-2: 2018.2656711275997
      BAND-3: 1889.813451459729
      BAND-4: 1543.0333578420048
      BAND-5: 1424.4178922955703
      BAND-6: 1299.7853812708915
      BAND-7: 1189.8802427534988
      BAND-8: 1053.8412514302709
      BAND-8A: 961.0205096863173
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-10-26 01:43:22.256646Z
    atime: 2022-11-07 03:17:48Z
    ctime: 2022-10-26 06:43:19Z
    mtime: 2022-10-26 06:43:14Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-10/20S125E-25S130E/S2A_MSIL1C_20221026T013701_N0400_R031_T52KDB_20221026T035242.zip
  system_information:
    hostname: gadi-cpu-clx-2873.gadi.nci.org.au
    runtime_id: c18e9208-5e4a-11ed-803b-0000018afe80
    time_processed: 2022-11-07 03:17:48.599560Z
    uname: 'Linux gadi-cpu-clx-2873.gadi.nci.org.au 4.18.0-372.26.1.el8.nci.x86_64
      #1 SMP Mon Sep 19 12:09:59 AEST 2022 x86_64'
gqa:
  colors:
    blue: 56.0
    green: 832.0
    red: 73.0
    teal: 246.0
    yellow: 72.0
  error_message: no errors
  final_qa_count: 1210
  granule: S2A_OPER_MSI_L1C_TL_ATOS_20221026T035242_A038352_T52KDB_N04.00
  ref_date: '2014-04-15T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/105/075/LC81050752014105LGN00_B6.TIF
  residual:
    abs:
      x: 1.25
      xy: 1.31
      y: 0.4
    abs_iterative_mean:
      x: 0.6
      xy: 0.63
      y: 0.2
    cep90: 1.07
    iterative_mean:
      x: 0.18
      xy: 0.18
      y: 0.02
    iterative_stddev:
      x: 1.28
      xy: 1.31
      y: 0.29
    mean:
      x: -0.26
      xy: 0.26
      y: -0.01
    stddev:
      x: 11.51
      xy: 11.61
      y: 1.47
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 90.00311545084455
    cloud: 6.434325035417931
    cloud_shadow: 3.2785292683169596
    snow: 0.003297931990935664
    water: 0.280732313429617
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 83.34936844934158
    cloud: 16.650631550658428
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
